include:
  - local: templates/ci-build-defaults.yaml
  - template: Security/Secret-Detection.gitlab-ci.yml

stages:
  - validate
  - build
  - test
  - deploy

image:
  name: hashicorp/packer:latest
  entrypoint:
    - '/usr/bin/env'
    - 'PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin'

validate:
  stage: validate
  script:
    - packer --version
    - find . -maxdepth 1 -name '*.hcl' -print0 | xargs -t0n1 packer validate

build:
  stage: deploy
  tags: 
    - packer
  environment: production
  script:
    - find . -maxdepth 1 -name '*.hcl' -print0 | xargs -t0n1 packer build
  rules:
    - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH
      when: manual


